| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | Public Attributes | List of all members
wxImage::HSVValue Class Reference

`#include <wx/image.h>`

## Detailed Description

A simple class which stores hue, saturation and value as doubles in the range 0.0-1.0.

## Public Member Functions

| HSVValue (double h=0.0, double s=0.0, double v=0.0)
| Constructor for HSVValue, an object that contains values for hue, saturation and value which represent the value of a color. More...

## Public Attributes

double | hue
double | saturation
double | value

## Constructor & Destructor Documentation

wxImage::HSVValue::HSVValue | ( | double | h = `0.0`,
|  | double | s = `0.0`,
|  | double | v = `0.0`
| ) |  |

Constructor for HSVValue, an object that contains values for hue, saturation and value which represent the value of a color.

It is used by wxImage::HSVtoRGB() and wxImage::RGBtoHSV(), which convert between HSV color space and RGB color space.

## Member Data Documentation

double wxImage::HSVValue::hue

double wxImage::HSVValue::saturation

double wxImage::HSVValue::value